Bug 115713 - Mouse unusable in installer (KVM switch in use)
Mouse unusable in installer (KVM switch in use)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-15 05:35 EST by Mark Smith
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 19:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Smith 2004-02-15 05:35:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Standard install using CDs, kernel-2.6 defaults to a PS/2 protocol
incompatible with KVM switch.  Install can proceed but driven only by
keyboard.

Better to add "psmouse.proto=bare" to the default install kernel
parameters?

This problem also affects the installed kernel after reboot, although
there it prevents firstboot from functioning AT ALL - there is no
keyboard navigation possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Connect keyboard and PS/2 mouse through KVM switch.
2.Install.
3.
    

Actual Results:  Unable to install using mouse

Expected Results:  Install using mouse.

Additional info:

May exhibit problem with firstboot as well (I'll file a separate bug)
Comment 1 Jeremy Katz 2004-02-16 23:23:01 EST
I'm not going to change the kernel's defaults... if the defaults need
to change, then they should change in the kernel and not for the
installer specifically.
Comment 2 Brian "netdragon" Bober 2004-06-21 03:16:16 EDT
Jeremy: The problem I've found with psmouse.proto=bare is it stops
mousewheel functionality of the Intellimouse Explorer. This is no good
in normal use, but its just fine in the installer. The installer also
has problems with standard reconnects of the Intellimouse Explorer.
Kills two birds with one stone.
Comment 3 Marko Macek 2004-08-10 04:14:18 EDT
I have posted this patch to linux-kernel that helps me.

Can someone else try this:

http://marc.theaimsgroup.com/?l=linux-kernel&m=109164701401046
Comment 4 Dave Jones 2005-10-05 19:39:41 EDT
this looks to be integrated in current upstream, so this should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.